Admiral
Components

Retrieve a component

GET
/v1/components/{name}

Scope: component:read

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...

In: header

Path Parameters

name*name

cloud-sql, or namespace/cloud-sql.

Match^([a-z]([a-z0-9-]{0,61}[a-z0-9])?/)?[a-z]([a-z0-9-]{0,61}[a-z0-9])?$
Length1 <= length <= 127

Response Body

application/json

curl -X GET "https://example.com/v1/components/string"
{  "component": {    "id": "string",    "name": "string",    "description": "string",    "labels": {      "property1": "string",      "property2": "string"    },    "tags": [      {        "name": "string",        "digest": "string",        "immutable": true,        "created_at": "2023-01-15T01:30:15.01Z",        "updated_at": "2023-01-15T01:30:15.01Z"      }    ],    "created_by": {      "id": "string",      "display_name": "string",      "email": "string"    },    "created_at": "2023-01-15T01:30:15.01Z",    "updated_at": "2023-01-15T01:30:15.01Z"  }}